# Get general settings

This endpoint retrieves the general settings for a specific point of sale device.

Endpoint: GET /point-of-sales/{pointOfSaleId}/general-settings
Version: 1.0.0

## Path parameters:

  - `pointOfSaleId` (integer, required)
    The unique system identifier for the point of sale device.

## Response 200 fields (application/json):

  - `site` (string)
    The ID of the site where the point of sale will be deployed.
    Example: SITE-1

  - `serialNumber` (string)
    The serial number of the point of sale device
    Example: SN1234567890

  - `merchantPointOfSaleId` (string)
    The unique merchant identifier for the point of sale device.
    Example: POS-12345

  - `pointOfSaleId` (integer)
    The unique system identifier for the point of sale device.
    Example: 123456789

  - `deviceModel` (string)
    The model of the point of sale device.
    Enum: "CastlesSaturn1000", "ZebraTC510K"

  - `communicationProtocol` (string)
    The protocol used by the point of sale device.
    Enum: "HTTP"

  - `communicationEndpoint` (string)
    The URL or network endpoint where the point of sale device actively listens for incoming connections and communications from the merchant system.
    Example: http://pos.example.com

  - `commercialModel` (string)
    The commercial model for the point of sale device pricing.
    Enum: "Onetime", "Recurring", "Financed", "Both"

  - `inUse` (boolean)
    Indicates whether the point of sale device is currently in use.
    Example: false

  - `status` (string)
    The status of the point of sale device.
    Enum: "New", "Pending", "Active", "Disabled"

  - `createdOn` (string)
    Example: 2023-09-01T12:00:00Z

  - `updatedOn` (string)
    Example: 2023-09-10T15:00:00Z

